org.apache.http.impl.client

## Class ContentEncodingHttpClient

- java.lang.Object
- - org.apache.http.impl.client.CloseableHttpClient
  - - org.apache.http.impl.client.AbstractHttpClient
    - - org.apache.http.impl.client.DefaultHttpClient
      - - org.apache.http.impl.client.ContentEncodingHttpClient

- All Implemented Interfaces:
    Closeable, AutoCloseable, HttpClient

  Deprecated.
  (4.2) use `HttpClientBuilder`

      @Deprecated
      @Contract(threading=SAFE_CONDITIONAL)
      public class ContentEncodingHttpClient
      extends DefaultHttpClient

  `DefaultHttpClient` sub-class which includes a `RequestAcceptEncoding` for the request and response. Deprecation note: due to the way this class modifies a response body without changing the response headers to reflect the entity changes, it cannot be used as the "backend" for a caching `HttpClient` and still have uncompressed responses be cached. Users are encouraged to use the `DecompressingHttpClient` instead of this class, which can be wired in either before or after caching, depending on whether you want to cache responses in compressed or uncompressed form.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentEncodingHttpClient()` Deprecated.
    `ContentEncodingHttpClient(ClientConnectionManager conman, org.apache.http.params.HttpParams params)` Deprecated. Creates a new HTTP client from parameters and a connection manager.
    `ContentEncodingHttpClient(org.apache.http.params.HttpParams params)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.http.protocol.BasicHttpProcessor` | `createHttpProcessor()` Deprecated. Create the processor with the following interceptors: `RequestDefaultHeaders` `RequestContent` `RequestTargetHost` `RequestClientConnControl` `RequestUserAgent` `RequestExpectContinue` `RequestAddCookies` `ResponseProcessCookies` `RequestAuthCache` `RequestTargetAuthentication` `RequestProxyAuthentication`

    - ### Methods inherited from class org.apache.http.impl.client.DefaultHttpClient

      `createHttpParams, setDefaultHttpParams`

    - ### Methods inherited from class org.apache.http.impl.client.AbstractHttpClient

      `addRequestInterceptor, addRequestInterceptor, addResponseInterceptor, addResponseInterceptor, clearRequestInterceptors, clearResponseInterceptors, close, createAuthSchemeRegistry, createClientConnectionManager, createClientRequestDirector, createClientRequestDirector, createClientRequestDirector, createConnectionKeepAliveStrategy, createConnectionReuseStrategy, createCookieSpecRegistry, createCookieStore, createCredentialsProvider, createHttpContext, createHttpRequestRetryHandler, createHttpRoutePlanner, createProxyAuthenticationHandler, createProxyAuthenticationStrategy, createRedirectHandler, createRequestExecutor, createTargetAuthenticationHandler, createTargetAuthenticationStrategy, createUserTokenHandler, determineParams, doExecute, getAuthSchemes, getBackoffManager, getConnectionBackoffStrategy, getConnectionKeepAliveStrategy, getConnectionManager, getConnectionReuseStrategy, getCookieSpecs, getCookieStore, getCredentialsProvider, getHttpProcessor, getHttpRequestRetryHandler, getParams, getProxyAuthenticationHandler, getProxyAuthenticationStrategy, getRedirectHandler, getRedirectStrategy, getRequestExecutor, getRequestInterceptor, getRequestInterceptorCount, getResponseInterceptor, getResponseInterceptorCount, getRoutePlanner, getTargetAuthenticationHandler, getTargetAuthenticationStrategy, getUserTokenHandler, removeRequestInterceptorByClass, removeResponseInterceptorByClass, setAuthSchemes, setBackoffManager, setConnectionBackoffStrategy, setCookieSpecs, setCookieStore, setCredentialsProvider, setHttpRequestRetryHandler, setKeepAliveStrategy, setParams, setProxyAuthenticationHandler, setProxyAuthenticationStrategy, setRedirectHandler, setRedirectStrategy, setReuseStrategy, setRoutePlanner, setTargetAuthenticationHandler, setTargetAuthenticationStrategy, setUserTokenHandler`

    - ### Methods inherited from class org.apache.http.impl.client.CloseableHttpClient

      `execute, execute, execute, execute, execute, execute, execute, execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentEncodingHttpClient

          public ContentEncodingHttpClient(ClientConnectionManager conman,
                                   org.apache.http.params.HttpParams params)

      Deprecated.
      Creates a new HTTP client from parameters and a connection manager.
      Parameters:
        `params` - the parameters
        `conman` - the connection manager

    - #### ContentEncodingHttpClient

          public ContentEncodingHttpClient(org.apache.http.params.HttpParams params)

      Deprecated.
      Parameters:
        `params` -

    - #### ContentEncodingHttpClient

          public ContentEncodingHttpClient()

      Deprecated.

  - ### Method Detail

    - #### createHttpProcessor

          protected org.apache.http.protocol.BasicHttpProcessor createHttpProcessor()

      Deprecated.
      Create the processor with the following interceptors:
      - `RequestDefaultHeaders`
      - `RequestContent`
      - `RequestTargetHost`
      - `RequestClientConnControl`
      - `RequestUserAgent`
      - `RequestExpectContinue`
      - `RequestAddCookies`
      - `ResponseProcessCookies`
      - `RequestAuthCache`
      - `RequestTargetAuthentication`
      - `RequestProxyAuthentication`

      Overrides:
        `createHttpProcessor` in class `DefaultHttpClient`
      Returns:
        the processor with the added interceptors.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.